package cn.com.tenlion.systembase.service.keyareacheckrenovation;

import cn.com.tenlion.systembase.pojo.bos.keyareacheckrenovation.KeyAreaCheckRenovationBO;
import cn.com.tenlion.systembase.pojo.dtos.keyareacheckrenovation.KeyAreaCheckRenovationDTO;
import cn.com.tenlion.systembase.pojo.pos.keyareacheckrenovation.KeyAreaCheckRenovationPO;
import cn.com.tenlion.systembase.pojo.vos.keyareacheckrenovation.KeyAreaCheckRenovationVO;
import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.result.SuccessResultList;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: IKeyAreaCheckRenovationService
 * @Description: 重点地区排查整治
 * @Author: CodeFactory
 * @Date: 2021-10-12 16:37:43
 * @Version: 3.0
 **/
public interface IKeyAreaCheckRenovationService {

    /**
     * 新增重点地区排查整治
     *
     * @param keyAreaCheckRenovationVO
     * @return
     */
    void save(KeyAreaCheckRenovationVO keyAreaCheckRenovationVO);

    /**
     * 新增重点地区排查整治
     *
     * @param token
     * @param keyAreaCheckRenovationVO
     * @return
     */
    void save(String token, KeyAreaCheckRenovationVO keyAreaCheckRenovationVO);

    /**
     * 新增重点地区排查整治
     *
     * @param keyAreaCheckRenovationVO
     * @return keyAreaCheckRenovationId
     */
    String saveReturnId(KeyAreaCheckRenovationVO keyAreaCheckRenovationVO);

    /**
     * 新增重点地区排查整治
     *
     * @param token
     * @param keyAreaCheckRenovationVO
     * @return keyAreaCheckRenovationId
     */
    String saveReturnId(String token, KeyAreaCheckRenovationVO keyAreaCheckRenovationVO);

    /**
     * 删除重点地区排查整治
     *
     * @param ids id列表
     * @return
     */
    void remove(List<String> ids, String idsStr);


    /**
     * 删除重点地区排查整治
     *
     * @param token
     * @param ids id列表
     * @return
     */
    void remove(String token, List<String> ids, String idsStr);

    /**
     * 删除重点地区排查整治（物理删除）
     *
     * @param ids id列表
     */
    void delete(List<String> ids);

    /**
     * 修改重点地区排查整治
     *
     * @param keyAreaCheckRenovationId
     * @param keyAreaCheckRenovationVO
     * @return
     */
    void update(String keyAreaCheckRenovationId, KeyAreaCheckRenovationVO keyAreaCheckRenovationVO);

    /**
     * 修改重点地区排查整治
     *
     * @param token
     * @param keyAreaCheckRenovationId
     * @param keyAreaCheckRenovationVO
     * @return
     */
    void update(String token, String keyAreaCheckRenovationId, KeyAreaCheckRenovationVO keyAreaCheckRenovationVO);

    /**
     * 重点地区排查整治详情
     *
     * @param params 参数Map
     * @return
     */
    KeyAreaCheckRenovationDTO get(Map<String, Object> params);

    /**
     * 重点地区排查整治详情
     *
     * @param keyAreaCheckRenovationId
     * @return
     */
    KeyAreaCheckRenovationDTO get(String keyAreaCheckRenovationId);

    /**
     * 重点地区排查整治详情
     *
     * @param params 参数Map
     * @return
     */
    KeyAreaCheckRenovationBO getBO(Map<String, Object> params);

    /**
     * 重点地区排查整治详情
     *
     * @param keyAreaCheckRenovationId
     * @return
     */
    KeyAreaCheckRenovationBO getBO(String keyAreaCheckRenovationId);

    /**
     * 重点地区排查整治详情
     *
     * @param params 参数Map
     * @return
     */
    KeyAreaCheckRenovationPO getPO(Map<String, Object> params);

    /**
     * 重点地区排查整治详情
     *
     * @param keyAreaCheckRenovationId
     * @return
     */
    KeyAreaCheckRenovationPO getPO(String keyAreaCheckRenovationId);

    /**
     * 重点地区排查整治列表
     *
     * @param params
     * @return
     */
    List<KeyAreaCheckRenovationDTO> list(Map<String, Object> params);

    /**
     * 重点地区排查整治列表
     *
     * @param params
     * @return
     */
    List<KeyAreaCheckRenovationBO> listBO(Map<String, Object> params);

    /**
     * 重点地区排查整治列表
     *
     * @param params
     * @return
     */
    List<KeyAreaCheckRenovationPO> listPO(Map<String, Object> params);

    /**
     * 重点地区排查整治分页列表
     *
     * @param page
     * @return
     */
    SuccessResultList<List<KeyAreaCheckRenovationDTO>> listPage(ListPage page);

    /**
     * 重点地区排查整治统计
     *
     * @param params
     * @return
     */
    Integer count(Map<String, Object> params);

    void saveKafka(String uid, KeyAreaCheckRenovationVO keyAreaCheckRenovationVO);

    void updateKafka(String uid, KeyAreaCheckRenovationVO keyAreaCheckRenovationVO);

    void deleteKafka(String uid);

}